Bug 500671 - RFE: Enhanced gshadow Support
RFE: Enhanced gshadow Support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ypserv (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 12:19 EDT by Daniel Qarras
Modified: 2011-05-09 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 11:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2009-05-13 12:19:06 EDT
Description of problem:
glibc-2.10 introduced better support for gshadow via nsswitch.conf (1) but it seems that some rules in /var/yp/Makefile are missing corresponding changes for NIS. It would be nice if the default Makefile would include all necessary bits for seamless gshadow support.

1) http://sourceware.org/cgi-bin/cvsweb.cgi/libc/nss/nsswitch.conf.diff?cvsroot=glibc&r1=1.2&r2=1.3
Comment 1 Fedora Admin XMLRPC Client 2011-03-09 08:53:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Honza Horak 2011-05-09 09:19:53 EDT
For me it seems that gshadow support in /var/yp/Makefile is enabled by default:

# Should we merge the group file with the gshadow file ?
# MERGE_GROUP=true|false
MERGE_GROUP=true

If you think it should be done in another way, please, give me more info.
Comment 3 Daniel Qarras 2011-05-09 11:58:18 EDT
> If you think it should be done in another way, please, give me more info.

I think everything is correct as-is, not sure anymore what was the case I was thinking when I opened the bug. Thanks.

Note You need to log in before you can comment on or make changes to this bug.